Subject: Re: bug#33255: 27.0.50; expand-file-name: default directory expanded twice if relative

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Nov 2018 21:52:23 +0200

> From: Paul Eggert <[email-masked]>
> Date: Wed, 14 Nov 2018 10:17:59 -0800
> Cc: [email-masked], immerrr again <[email-masked]>,
> 	Noam Postavsky <[email-masked]>
> 
> > I'm a bit disappointed to see that a relative HOME is now documented
> > in the Emacs manuals, since IMO it lends legitimacy to a questionable
> > usage. I don't see it mentioned in eg the bash manual.
> > I also don't see why it is in NEWS since it is described as
> > a bug fix, and those aren't normally mentioned.
> 
> My initial reaction was the same as yours, which is why my original fix 
> didn't document the change in the manual or in NEWS. Eli felt otherwise, 
> though.

I agree that we should discourage relative $HOME, so I added text to
the documentation to that effect.